org.apache.ignite.internal.processors.cache.binary

## Class MetadataUpdateAcceptedMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.binary.MetadataUpdateAcceptedMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class MetadataUpdateAcceptedMessage
    extends Object
    implements DiscoveryCustomMessage

Acknowledge message for `MetadataUpdateProposedMessage`: see its javadoc for detailed description of protocol. As discovery messaging doesn't guarantee that message makes only one pass across the cluster MetadataUpdateAcceptedMessage enables to mark it as duplicated so other nodes won't process it but skip.

See Also:
  Serialized Form

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `duplicated()`
`void` `duplicated(boolean duplicated)`
`IgniteUuid` `id()`
`boolean` `isMutable()`
`String` `toString()`
`int` `typeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### typeId

    public int typeId()

#### duplicated

    public boolean duplicated()

#### duplicated

    public void duplicated(boolean duplicated)

Parameters:
  `duplicated` - duplicated flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017